package intrinsic.flash.events;

public class ContextMenuEvent extends intrinsic.flash.events.Event {

	/** Accessors */
	public intrinsic.flash.display.InteractiveObject contextMenuOwner;
	public intrinsic.flash.display.InteractiveObject mouseTarget;

	/** Variables */

	/** Constants */
	public static final String MENU_ITEM_SELECT = "menu_item_select";
	public static final String MENU_SELECT = "menu_select";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ContextMenuEvent() {
}

public ContextMenuEvent(String arg0) {
}

public ContextMenuEvent(String arg0, boolean arg1) {
}

public ContextMenuEvent(String arg0, boolean arg1, boolean arg2) {
}

public ContextMenuEvent(String arg0, boolean arg1, boolean arg2, intrinsic.flash.display.InteractiveObject arg3) {
}

public ContextMenuEvent(String arg0, boolean arg1, boolean arg2, intrinsic.flash.display.InteractiveObject arg3, intrinsic.flash.display.InteractiveObject arg4) {
}


/** Static Methods */

/** Methods */
public native String toString();
public native Object clone();

}
